IFRENAME(8)

NOM
ifrename - renomme les interfaces réseau basées sur différents critères statiques

SYNOPSIS
ifrename [-c configfile] [-p] [-d]
ifrename [-c configfile] [-i interface] [-n newname]

DESCRIPTION
Ifrename est un outil vous permettant d'assigner un nom cohérent à chacune de vos interfaces réseau.

Par défaut, les noms d'interface sont dynamiques, et à chaque interface réseau est assigné le premier nom disponible (eth0, eth1...). L'ordre dans lequel les interfaces réseau sont créées peut varier. Pour les interfaces fixes (« built-in interfaces »), l'énumération du noyau au démarrage peut varier. Pour les interfaces débranchables, l'utilisateur peut les brancher dans n'importe quel ordre.

Ifrename permet à l'utilisateur de décider quel nom une interface réseau aura. Ifrename peut utiliser différents sélecteurs (« selectors ») pour spécifier comment les noms d'interface correspondent aux interfaces réseau du système, le plus commun des sélecteurs étant l'adresse MAC de l'interface.

Ifrename doit être lancé avant que les interfaces ne soient démarrées, raison pour laquelle il est surtout utile dans divers scripts (init, hotplug), mais il est rarement utilisé directement par l'utilisateur. Par défaut, ifrename renomme toutes les interfaces système présentes en utilisant les correspondances définies dans /etc/iftab.

PARAMÈTRES

-c configfile
    Fixe le fichier de configuration à utiliser (par défaut /etc/iftab). Le fichier de configuration définit la correspondance entre les sélecteurs et les noms d'interface, et il est décrit dans iftab(5).
    Si configfile est « - », la configuration est lue depuis stdin.

-p  Sonde (charge) les modules noyau avant de renommer les interfaces. Par défaut, ifrename vérifie seulement les interfaces déjà chargées, et ne charge pas automatiquement les modules noyau requis. Cette option autorise une intégration en douceur dans les systèmes qui ne chargent pas les modules avant d'appeler ifrename.

-d  Active divers bidouillages spécifiques à la Debian. Combiné avec -p, seuls les modules pour les interfaces spécifiées dans /etc/network/interface sont chargés.

-i interface
    Renomme seulement l'interface spécifiée, par opposition à toutes les interfaces présentes sur le système. Le nouveau nom de l'interface est affiché.

-n newname
    Si utilisé avec -i, spécifie le nouveau nom de l'interface. La liste des correspondances depuis le fichier de configuration est ignorée. Le nouveau nom peut être un joker (« wildcard ») qui contient une seule '*'.

-t  Active l'absorption (« takover ») de nom. Cela permet d'échanger un nom d'interface entre deux interfaces ou plus.
    L'absorption permet à une interface de « voler » le nom d'une autre interface. Cela fonctionne seulement avec le noyau 2.6.X et si l'autre interface est désactivée. En conséquence, ce n'est pas compatible avec Hotplug. L'autre interface se voit assigner un nom aléatoire, mais peut être renommée plus tard avec 'ifrename'.
    Le nombre d'absorptions est limité pour éviter les boucles circulaires, et donc certaines situations d'échanges de noms complexes ne seront pas complètement traitées.
    Dans tous les cas, l'échange de noms et l'utilisation de cette caractéristique sont découragés, et vous êtes invités à choisir des noms uniques et sans ambiguïté pour vos interfaces...

AUTEUR
Jean Tourrilhes - jt@hpl.hp.com

TRADUCTION
Maxime CHARPENNE, août 2004 (wireless_tools.27-pre25).

AVERTISSEMENT SUR LA TRADUCTION
Il est possible que cette traduction soit imparfaite ou périmée. En cas de doute, veuillez vous reporter au document original en langue anglaise fourni avec le programme.

FICHIERS
/etc/iftab

VOIR AUSSI
ifconfig(8), ip(8), iftab(5).